
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Fix build after <asm/pgalloc.h> surgery in 2.6.8-rc1:
  - Add missing include on machines with a standard m68k MMU
  - Convert __pte_free_tlb() to a macro (like it is on most other archs) on
    Sun-3, to avoid include hell

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-m68k/motorola_pgalloc.h |    1 +
 25-akpm/include/asm-m68k/sun3_pgalloc.h     |    5 +----
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN include/asm-m68k/motorola_pgalloc.h~m68k-pgalloc-fixup include/asm-m68k/motorola_pgalloc.h
--- 25/include/asm-m68k/motorola_pgalloc.h~m68k-pgalloc-fixup	2004-07-26 17:26:24.281163648 -0700
+++ 25-akpm/include/asm-m68k/motorola_pgalloc.h	2004-07-26 17:26:24.286162888 -0700
@@ -2,6 +2,7 @@
 #define _MOTOROLA_PGALLOC_H
 
 #include <asm/tlb.h>
+#include <asm/tlbflush.h>
 
 extern pmd_t *get_pointer_table(void);
 extern int free_pointer_table(pmd_t *);
diff -puN include/asm-m68k/sun3_pgalloc.h~m68k-pgalloc-fixup include/asm-m68k/sun3_pgalloc.h
--- 25/include/asm-m68k/sun3_pgalloc.h~m68k-pgalloc-fixup	2004-07-26 17:26:24.282163496 -0700
+++ 25-akpm/include/asm-m68k/sun3_pgalloc.h	2004-07-26 17:26:24.286162888 -0700
@@ -31,10 +31,7 @@ static inline void pte_free(struct page 
         __free_page(page);
 }
 
-static inline void __pte_free_tlb(struct mmu_gather *tlb, struct page *page)
-{
-	tlb_remove_page(tlb, page);
-}
+#define __pte_free_tlb(tlb,pte) tlb_remove_page((tlb),(pte))
 
 static inline pte_t *pte_alloc_one_kernel(struct mm_struct *mm,
 					  unsigned long address)
_
